Bug 825079 - updating project status from read-only to active not working anymore
updating project status from read-only to active not working anymore
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity high
: ---
: 1.6
Assigned To: David Mason
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 23:39 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: verified in Zanata version 1.6.0-beta-2-SNAPSHOT (20120531-0020).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joyce Chang 2012-05-24 23:39:53 EDT
Description of problem:
The current behaviour of changing a project's status from active to read-only works properly but vice versa. That is, updating that project's status from read-only back to active won't take affect while web UI appears correct by showing project status:active,"Translate" instead of "Open" under project version. But read-only mode is shown on the document list, and editor also stays in read-only mode and unable to edit entries when entering workspace.



Version-Release number of selected component (if applicable):
1.6.0-beta-2-SNAPSHOT


How reproducible:
always

Steps to Reproduce:
1.change a project's status from active to read-only
2.visit that project to see if the project has been set to read-only mode, if so, continue step 3
3.change project status back to active
  
Actual results:
project stays in read-only mode, not allowing entry editing while its status showing active

Expected results:
project will allow entry editing when set to active mode  


Additional info:

changing status from active to obsolete and vice versa appears correct.
Comment 2 Joyce Chang 2012-05-30 22:55:09 EDT
verified in Zanata version 1.6.0-beta-2-SNAPSHOT (20120531-0020).

Note You need to log in before you can comment on or make changes to this bug.